Edsf.PersonaStore.PersonaStore.with_source_registry – folks-eds Reference Manual

# PersonaStore.with_source_registry

## Description:

public PersonaStore.with_source_registry (SourceRegistry r, Source s)

Create a new PersonaStore.

Create a new persona store to store the Personas for the contacts in `s`. Passing a re-used source registry to the constructor (compared to the old Edsf.PersonaStore constructor) saves a lot of time and D-Bus round trips.

## Parameters:

r | the EDS source registry giving access to all EDS sources
s | the EDS source being represented by the persona store

## Since:

0.7.2